NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Member Functions | Properties | List of all members
NXOpen.CAE.SimPart Class Reference

Represents an NX part of type .sim. More...

Inheritance diagram for NXOpen.CAE.SimPart:
NXOpen.CAE.CaePart NXOpen.BasePart NXOpen.NXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  ImportErrorCodes
 Contains list of error codes for import of each entity type More...
 
struct  ImportOptions
 Contains information about which entities to be imported More...
 

Public Member Functions

unsafe void CompressLabels (bool compressCsysLabels, bool compressPhysLabels, bool compressGroupLabels)
 Compress the labels of csys, physical, and groups More...
 
unsafe
NXOpen.CAE.ImportSimulationBuilder 
CreateImportSimBuilder ()
 Creates ImportSimulationBuilder. More...
 
unsafe void FinalizeCreation (NXOpen.CAE.CaePart femPart, string[] description)
 Finalizes the creation of the sim part file. More...
 
unsafe void FinalizeCreation (NXOpen.CAE.CaePart femPart, int femLayerOpt, string[] description)
 Finalizes the creation of the sim part file. More...
 
unsafe
NXOpen.CAE.SimPart.ImportErrorCodes 
ImportSim (string fileName, string prependString, NXOpen.CAE.SimPart.ImportOptions selOptions, NXOpen.CAE.FEModelOccurrence[] selectedFemoccs)
 Imports all entities of selected type from the source sim into the current (target) sim. More...
 
unsafe void RelabelByOffsets (int csysOffset, int physOffset, int groupOffset)
 Relabels the csys, physical, and group labels by the specified offset value More...
 
- Public Member Functions inherited from NXOpen.CAE.CaePart
unsafe
NXOpen.CAE.ConvertToConvergentBodyBuilder 
CreateConvertToConvergentBodyBuilder ()
 Creates a NXOpen.CAE.ConvertToConvergentBodyBuilder More...
 
unsafe
NXOpen.CAE.ModelDisplayBuilder 
CreateModelDisplayBuilder ()
 Creates a builder for model display controls command More...
 
unsafe
NXOpen.CAE.SolverAppendOption 
CreateSolverAppendOption ()
 Returns a solver append option object for importing the solver specific data into an existing NXOpen.CAE.FemPart or NXOpen.CAE.SimPart . More...
 
unsafe void DeleteSolverAppendOption (NXOpen.CAE.SolverAppendOption appendOption)
 Deletes a solver append option object for importing the solver specific data into an existing NXOpen.CAE.FemPart or NXOpen.CAE.SimPart . More...
 
unsafe void ExportJt (string fileName)
 Exports JT file More...
 
unsafe void ExportSimulation (string solverName, NXOpen.CAE.CaeDataContainer propertyList)
 Exports the Simulation data for a NXOpen.CAE.CaePart . More...
 
unsafe NXOpen.Fields.IApplication GetApplication (NXOpen.CAE.CaePart.FieldApplicationType applicationType)
 Get the application which corresponds to the specified type. More...
 
unsafe int GetCsysFlattenedLabel (NXOpen.CoordinateSystem csys)
 Gets the resolved label of csys in cae part. More...
 
unsafe void GetDescription (out string[] description)
 Gets the description assoicated with the Cae part More...
 
unsafe void ImportExistingSimulation (string solverName, NXOpen.CAE.CaeDataContainer propertyList)
 Imports the solver specific data into an existing NXOpen.CAE.FemPart or NXOpen.CAE.SimPart . More...
 
unsafe
NXOpen.CAE.BeamSectionOffsetOptions 
NewBeamSectionOffsetOptions ()
 Creates a NXOpen.CAE.BeamSectionOffsetOptions More...
 
unsafe
NXOpen.CAE.BeamSectionOptions 
NewBeamSectionOptions ()
 Creates a NXOpen.CAE.BeamSectionOptions More...
 
unsafe
NXOpen.CAE.BeamSectionOrientationOptions 
NewBeamSectionOrientationOptions ()
 Creates a NXOpen.CAE.BeamSectionOrientationOptions More...
 
unsafe NXOpen.CAE.MaterialOptions NewMaterialOptions ()
 Creates a NXOpen.CAE.MaterialOptions More...
 
unsafe
NXOpen.CAE.ThermoOpticalPropMgr 
NewThermoOpticalPropMgr ()
 Creates a NXOpen.CAE.ThermoOpticalPropMgr More...
 
unsafe void SetDescription (string[] description)
 Sets the description assoicated with the Cae part More...
 
- Public Member Functions inherited from NXOpen.BasePart
unsafe void AssignPermanentName (string newFileName)
 Saves a temporary part with the given name. More...
 
unsafe bool CanBeDisplayPart ()
 Returns true if the part can be displayed and false if not displayed. More...
 
unsafe void Close (NXOpen.BasePart.CloseWholeTree wholeTree, NXOpen.BasePart.CloseModified closeModified, NXOpen.PartCloseResponses responses)
 Closes an open part. More...
 
unsafe void CompleteStructure ()
 Make additions necessary to complete the incomplete assembly structure of the input part More...
 
unsafe
NXOpen.Display.DynamicSectionBuilder 
CreateDynamicSectionBuilder (bool loadFromView)
 Creates a NXOpen.Display.DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown. More...
 
unsafe
NXOpen.EffectivityConditionBuilder 
CreateEffectivityConditionBuilder (NXOpen.CollaborativeDesign cd, string effectivityFormula)
 Creates a NXOpen.EffectivityConditionBuilder More...
 
unsafe
NXOpen.EffectivityConditionBuilder 
CreateEffectivityConditionBuilder (NXOpen.CollaborativeDesign cd, string validationBasisFormula, string effectivityFormula)
 Creates a NXOpen.EffectivityConditionBuilder with initializing validation basis formula More...
 
unsafe
NXOpen.Display.FacetSettingsBuilder 
CreateFacetSettingsBuilder ()
 Creates a builder for the Facet Settings dialog More...
 
unsafe NXOpen.GroupBuilder CreateGatewayGroupBuilder (NXOpen.Group group)
 Creates a Groups builder More...
 
unsafe
NXOpen.Display.PerspectiveOptionsBuilder 
CreatePerspectiveOptionsBuilder ()
 Creates a builder for the Perspective Options dialog More...
 
unsafe NXOpen.ReferenceSet CreateReferenceSet ()
 Creates a NXOpen.ReferenceSet object More...
 
unsafe void DeleteDisplayFacets (bool deleteSavedDisplayFacets, bool processChildren)
 Deletes transient and optionally saved display facets. More...
 
unsafe void DeleteReferenceSet (NXOpen.ReferenceSet referenceSetObject)
 Deletes a NXOpen.ReferenceSet object More...
 
unsafe NXOpen.ReferenceSet[] GetAllReferenceSets ()
 Get all the NXOpen.ReferenceSet objects in this part. More...
 
unsafe void GetArrangements (out NXOpen.Assemblies.Arrangement[] arrangements)
 Outputs the NXOpen.Assemblies.Arrangement objects within the given part. More...
 
unsafe
NXOpen.BasePart.CollaborativeContentType 
GetCollaborativeContentType ()
 The collaborative content type of this part. More...
 
unsafe
NXOpen.BasePart.HistoryEventInformation[] 
GetHistoryInformation ()
 Get history of part More...
 
unsafe
NXOpen.BasePart.IncompleteStatus 
GetIncompleteStatus ()
 Inquire whether the provided part is flagged as being incomplete More...
 
unsafe string GetMakeUniqueName ()
 Gets the Unique name on a part for the Make Unique operation More...
 
unsafe void GetMinimallyLoadedParts (out NXOpen.BasePart[] minimallyLoadedParts)
 Gets the minimally loaded parts from input part. More...
 
unsafe void GetPreviewImage (out int width, out int height, out int[] pixels)
 Get the preview image This will return the graphic preview image of the part (when available). More...
 
unsafe
NXOpen.BasePart.TransientStatus 
GetTransientStatus ()
 Inquire whether the provided part is flagged as being transient More...
 
unsafe bool HasAnyMinimallyLoadedChildren ()
 Determines whether part has any minimally loaded descendent parts. More...
 
unsafe NXOpen.PartLoadStatus LoadFeatureDataForSelection ()
 Ensure that feature data is loaded for a part. More...
 
unsafe NXOpen.PartLoadStatus LoadFully ()
 Ensures that this part is fully loaded. More...
 
unsafe NXOpen.PartLoadStatus LoadThisPartFully ()
 Ensures that this part is fully loaded. More...
 
unsafe NXOpen.PartLoadStatus LoadThisPartPartially ()
 Ensures that this part is at least partially loaded. More...
 
unsafe void RegenerateDisplayFacets (bool regenerateChildren)
 Regenerates display specific transient cached facets in the part. More...
 
unsafe void RegenerateDisplayFacets (bool deleteSavedDisplayFacets, bool regenerateChildren)
 Regenerates display specific cached facets in the part. More...
 
unsafe void ReinstateTransience ()
 Reinstate the transient status to the formerly transient input part More...
 
unsafe void RemoveTransience ()
 Remove the transient status from the input part More...
 
unsafe NXOpen.BasePart Reopen (NXOpen.BasePart.CloseWholeTree wholeTree, NXOpen.BasePart.CloseModified closeModified, NXOpen.PartCloseResponses responses, out NXOpen.PartReopenReport reopenReport)
 Reopens a loaded part. More...
 
unsafe NXOpen.BasePart ReopenAs (string fileName, NXOpen.BasePart.CloseModified closeModified, NXOpen.PartCloseResponses responses, out NXOpen.PartReopenReport reopenReport)
 Reopens a loaded part. More...
 
unsafe void ReverseBlankAll ()
 Reverse blank all the objects in the part. More...
 
unsafe NXOpen.PartSaveStatus Save (NXOpen.BasePart.SaveComponents saveComponentParts, NXOpen.BasePart.CloseAfterSave close)
 Saves the part whether it is modified or not. More...
 
unsafe NXOpen.PartSaveStatus SaveAs (string newFileName)
 Creates copy of target part. More...
 
unsafe void SaveBookmark (string fileName, NXOpen.BasePart.BookmarkOption option)
 Saves a bookmark file. More...
 
unsafe void SetMakeUniqueName (string newUniqueName)
 Sets the unique name on part for the Make Unique operation More...
 
unsafe void Undisplay ()
 Undisplays the part, if it is currently a displayed part. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.CAE.CaePart FemPart [get]
 Returns the fem part associated with the sim part More...
 
unsafe NXOpen.CAE.SimSimulation Simulation [get]
 Returns the NXOpen.CAE.SimSimulation object More...
 
- Properties inherited from NXOpen.CAE.CaePart
NXOpen.CAE.AtvSetCollection AtvSets [get]
 Contains a NXOpen.CAE.AtvSetCollection . More...
 
NXOpen.CAE.BeamSectionsCollection BeamSections [get]
 Returns the Beam Section collection belonging to the part More...
 
NXOpen.CAE.CaeGroupCollection CaeGroups [get]
 Returns the CAE Group collection belonging to this Part More...
 
NXOpen.CAE.NoteCollection CaeNoteCollection [get]
 Contains a cae note collection. More...
 
NXOpen.CAE.QueryCurveManager CaeQueryCurves [get]
 Returns the CAE query curve manager belonging to this Part More...
 
NXOpen.CAE.ModelCheck.ElementQualitySettingCollection ElementQualitySettings [get]
 Returns the element quality settings collection belonging to this CAE Part More...
 
NXOpen.CAE.FrfSetCollection FrfSets [get]
 Contains a NXOpen.CAE.FrfSetCollection . More...
 
NXOpen.CAE.LayoutStateCollection LayoutStates [get]
 Contains a NXOpen.CAE.LayoutStateCollection . More...
 
NXOpen.CAE.AeroStructures.MarginAnnotCollection MarginAnnotationCollection [get]
 Contains a margin annotation collection. More...
 
NXOpen.CAE.MeshControlDisplayManager MeshControlDisplayMgr [get]
 Returns the mesh control display manager belonging to this IFem More...
 
NXOpen.CAE.ModelCheckManager ModelCheckMgr [get]
 Returns the select element manager belonging to this IFem More...
 
NXOpen.CAE.ModelingObjectPropertyTableCollection ModelingObjectPropertyTables [get]
 Returns the modeling object property table collection belonging to this CAE Part More...
 
NXOpen.CAE.ModeSetCollection ModeSets [get]
 Contains a NXOpen.CAE.ModeSetCollection . More...
 
NXOpen.CAE.NodeElementInfoManager NodeElementInfoMgr [get]
 Returns the node element info manager belonging to this IFem More...
 
NXOpen.CAE.NoteManager Notes [get]
 Contains a cae annotation manager. More...
 
NXOpen.CAE.PhysicalPropertyTableCollection PhysicalPropertyTables [get]
 Returns the physical property table collection belonging to this CAE Part More...
 
NXOpen.CAE.PostEnvironmentsManager PostEnvironmentsMgr [get]
 Contains a NXOpen.CAE.PostEnvironmentsManager . More...
 
NXOpen.CAE.PostScenarioManager PostScenarioMgr [get]
 Contains a NXOpen.CAE.PostScenarioManager . More...
 
NXOpen.CAE.SelectElementsManager SelectElementMgr [get]
 Returns the select element manager belonging to this IFem More...
 
NXOpen.CAE.SelectGroupsManager SelectGroupsMgr [get]
 Returns the groups element manager belonging to this IFem More...
 
NXOpen.CAE.SelectionRecipeCollection SelectionRecipes [get]
 Contains a NXOpen.CAE.SelectionRecipeCollection . More...
 
NXOpen.CAE.ShowHideManager ShowHideMgr [get]
 Returns the show hide manager belonging to the part More...
 
NXOpen.CAE.SmartSelectionManager SmartSelectionMgr [get]
 Returns the smart selection manager belonging to this part More...
 
NXOpen.CAE.VatvSetCollection VatvSets [get]
 Contains a NXOpen.CAE.VatvSetCollection . More...
 
- Properties inherited from NXOpen.BasePart
NXOpen.GeometricAnalysis.AnalysisManager AnalysisManager [get]
 Returns the GeometricAnalysisManager for part More...
 
NXOpen.Validate.AnalysisResultCollection AnalysisResults [get]
 Returns the AnalysisResultCollection instance belonging to this part More...
 
NXOpen.Display.AnimationCameraCollection AnimationCameras [get]
 Returns the Display. More...
 
NXOpen.Annotations.AnnotationManager Annotations [get]
 Returns the PMI Annotation Manager for part More...
 
NXOpen.ArcCollection Arcs [get]
 Returns the ArcCollection instance belonging to this part More...
 
NXOpen.Assemblies.ProductOutlineManager Assemblies [get]
 Returns the NXOpen.Assemblies.ProductOutlineManager belonging to this session More...
 
NXOpen.Assemblies.AssemblyManager AssemblyManager [get]
 Returns the NXOpen.Assemblies.AssemblyManager belonging to this session More...
 
NXOpen.AxisCollection Axes [get]
 Returns the AxisCollection instance belonging to this part More...
 
NXOpen.Features.BaseFeatureCollection BaseFeatures [get]
 Returns the FeatureCollection instance belonging to this part More...
 
NXOpen.CAE.ViewLayoutManager CaeViewLayoutManager [get]
 Returns the CAE. More...
 
NXOpen.Display.CameraCollection Cameras [get]
 Returns the Display. More...
 
NXOpen.CAM.CAMFeatureCollection CAMFeatures [get]
 Returns the CAMFeatureCollection instance belonging to this part More...
 
NXOpen.Display.CgfxAttrCollection CgfxAttrs [get]
 Returns the Display. More...
 
NXOpen.Display.CgfxMattexCollection CgfxMattex [get]
 Returns the Display. More...
 
NXOpen.ColorManager Colors [get]
 Manages the standard NX colors More...
 
unsafe
NXOpen.Assemblies.ComponentAssembly 
ComponentAssembly [get]
 Returns the component assembly. More...
 
NXOpen.Drawings.ConvertToPMIBuilderManager ConvertToPMIBuilderManager [get]
 Returns the Drawings. More...
 
NXOpen.CoordinateSystemCollection CoordinateSystems [get]
 Returns the CoordinateSystemCollection instance belonging to this part More...
 
NXOpen.CurveCollection Curves [get]
 Returns the CurveCollection instance belonging to this part More...
 
NXOpen.DatumCollection Datums [get]
 Returns the DatumCollection instance belonging to this part More...
 
NXOpen.Display.DecalCollection Decals [get]
 Returns the Display. More...
 
NXOpen.Optimization.DesignStudyCollection DesignStudy [get]
 Returns the design study instance belonging to this part More...
 
NXOpen.DirectionCollection Directions [get]
 Returns the DirectionCollection instance belonging to this part More...
 
unsafe bool Displayed [get]
 Returns true if the part represents a displayed part. More...
 
NXOpen.Display.DynamicSectionCollection DynamicSections [get]
 Returns the Display. More...
 
NXOpen.EllipseCollection Ellipses [get]
 Returns the EllipseCollection instance belonging to this part More...
 
NXOpen.ExpressionGroupCollection ExpressionGroups [get]
 Returns the ExpressionGroupCollection instance belonging to this part More...
 
NXOpen.ExpressionCollection Expressions [get]
 Returns the ExpressionCollection instance belonging to this part More...
 
NXOpen.ExternalFileReferenceManager ExternalFileReferenceManager [get]
 Returns the NXOpen.ExternalFileReferenceManager belonging to this part More...
 
NXOpen.Features.FeatureCollection Features [get]
 Returns the FeatureCollection instance belonging to this part More...
 
unsafe NXOpen.Fields.FieldManager FieldManager [get]
 Returns the field main. More...
 
NXOpen.FontCollection Fonts [get]
 Returns the FontCollection instance belonging to this part More...
 
unsafe string FullPath [get]
 Returns the full path of the part. More...
 
NXOpen.CAE.FunctionCollection Functions [get]
 Returns the CAE. More...
 
NXOpen.Display.GridCollection Grids [get]
 Returns the Display. More...
 
unsafe bool HasWriteAccess [get]
 Returns the write-access status of a part independent of the load state. More...
 
NXOpen.HyperbolaCollection Hyperbolas [get]
 Returns the HyperbolaCollection instance belonging to this part More...
 
NXOpen.Gateway.ImageCaptureManager ImageCaptureManager [get]
 Returns the Gateway. More...
 
NXOpen.Display.ImageCollection Images [get]
 Returns the Display. More...
 
NXOpen.Display.ImageDataCollection ImagesData [get]
 Returns the Display. More...
 
NXOpen.InfiniteLineCollection InfiniteLines [get]
 Returns the InfiniteLineCollection instance belonging to this part More...
 
unsafe bool IsDesignReviewPart [get]
 Returns the status on whether input part is design review part or not. More...
 
unsafe bool IsFullyLoaded [get]
 Returns the load status of a part. More...
 
unsafe bool IsModified [get]
 Returns the modified status of a part. More...
 
unsafe bool IsReadOnly [get]
 Returns the read-only status of a part. More...
 
NXOpen.Layer.CategoryCollection LayerCategories [get]
 Returns a collection of layer categories More...
 
NXOpen.Layer.LayerManager Layers [get]
 Returns the LayerManager for this part More...
 
NXOpen.LayoutCollection Layouts [get]
 Returns the LayoutCollection instance belonging to this part More...
 
unsafe string Leaf [get]
 Returns the leaf name of the part. More...
 
NXOpen.LightCollection Lights [get]
 Returns the LightCollection instance belonging to this part More...
 
NXOpen.LineCollection Lines [get]
 Returns the LineCollection instance belonging to this part More...
 
NXOpen.MaterialManager MaterialManager [get]
 Returns the Material Manager belonging to this Part More...
 
NXOpen.MeasureManager MeasureManager [get]
 Returns the measure manager for this part More...
 
NXOpen.ModelingViewCollection ModelingViews [get]
 Returns the ModelingViewCollection instance belonging to this part More...
 
NXOpen.NXMatrixCollection NXMatrices [get]
 Returns the NXMatrixCollection instance belonging to this part More...
 
NXOpen.OffsetCollection Offsets [get]
 Returns the OffsetCollection instance belonging to this part More...
 
NXOpen.Optimization.OptimizationCollection Optimization [get]
 Returns the optimization instance belonging to this part More...
 
NXOpen.ParabolaCollection Parabolas [get]
 Returns the ParabolaCollection instance belonging to this part More...
 
NXOpen.ParamLibParameterLibraryManager ParameterLibraryManager [get]
 Returns the Parameter Library Manager belonging to this Part More...
 
NXOpen.ParameterTableCollection ParameterTables [get]
 Returns the ParameterTableCollection instance belonging to this part More...
 
unsafe NXOpen.PartLoadState PartLoadState [get]
 Returns the load state of a part. More...
 
unsafe NXOpen.BasePart.PartPreview PartPreviewMode [get, set]
 Returns or sets the preview mode More...
 
unsafe NXOpen.BasePart.Units PartUnits [get]
 Returns the units of the part file. More...
 
NXOpen.PDM.PdmPart PDMPart [get]
 Returns the instance of the PDM. More...
 
NXOpen.Validate.PersistentResultCollection PersistentResults [get]
 Returns the PersistentResultCollection instance belonging to this part More...
 
NXOpen.PlaneCollection Planes [get]
 Return a collection of Planes More...
 
NXOpen.PlotManager PlotManager [get]
 Returns the PlotManager instance belonging to this part More...
 
NXOpen.Display.PointCloudCollection PointClouds [get]
 Returns the Display. More...
 
NXOpen.PointCollection Points [get]
 Returns the PointCollection instance belonging to this part More...
 
NXOpen.PolylineCollection Polylines [get]
 Returns the PolylineCollection instance belonging to this part More...
 
NXOpen.Preferences.PartPreferences Preferences [get]
 Returns the PartPreferences instance belonging to this part More...
 
NXOpen.PropertiesManager PropertiesManager [get]
 Returns the PropertiesManager instance belonging to this part More...
 
NXOpen.Validate.RequirementCheckCollection RequirementChecks [get]
 Returns the RequirementCheckCollection instance belonging to this part More...
 
NXOpen.Validate.RequirementCollection Requirements [get]
 Returns the RequirementCollection instance belonging to this part More...
 
NXOpen.RuleManager RuleManager [get]
 Returns the rule manager for this part More...
 
unsafe bool SaveDisplayFacets [get, set]
 Returns or sets whether display quality facets are saved in the part file More...
 
NXOpen.PartSaveOptions SaveOptions [get]
 Returns the PartSaveOptions instance belonging to this part More...
 
NXOpen.ScalarCollection Scalars [get]
 Returns the ScalarCollection instance belonging to this part More...
 
NXOpen.ScCollectorCollection ScCollectors [get]
 Returns the ScCollectorCollection instance belonging to this part More...
 
NXOpen.ScRuleFactory ScRuleFactory [get]
 Returns the ScRuleFactory instance belonging to this part More...
 
NXOpen.SectionCollection Sections [get]
 Returns the SectionCollection instance belonging to this part More...
 
NXOpen.Display.SelPrefCollection SelPref [get]
 Returns the Display. More...
 
NXOpen.Display.TrueShadingCollection SHEDObjs [get]
 Returns the Display. More...
 
NXOpen.SplineCollection Splines [get]
 Returns the SplineCollection instance belonging to this part More...
 
NXOpen.Display.TrueStudioCollection TrueStudioObjs [get]
 Returns the Display. More...
 
unsafe string UniqueIdentifier [get, set]
 Returns or sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. More...
 
NXOpen.UnitCollection UnitCollection [get]
 Returns a collection of Units More...
 
NXOpen.UserDefinedObjects.UserDefinedObjectManager UserDefinedObjectManager [get]
 Returns the NXOpen.UserDefinedObjects.UserDefinedObjectManager belonging to this session More...
 
NXOpen.ValidationCollection Validations [get]
 Returns the validation for this part More...
 
NXOpen.ViewCollection Views [get]
 Returns the ViewCollection instance belonging to this part More...
 
NXOpen.WCS WCS [get]
 Returns the WCS instance belonging to this part More...
 
NXOpen.XformCollection Xforms [get]
 Returns the XformCollection instance belonging to this part More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.CAE.CaePart
enum  FieldApplicationType { SignalProcessing, Abaqus }
 Enumeration which is used to specify the type of field application to retrieve in the GetApplication method. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents an NX part of type .sim.

Use the NXOpen.PartCollection class to load or create a part.

Created in NX4.0.0

Member Function Documentation

unsafe void NXOpen.CAE.SimPart.CompressLabels ( bool  compressCsysLabels,
bool  compressPhysLabels,
bool  compressGroupLabels 
)
inline

Compress the labels of csys, physical, and groups

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
compressCsysLabelscompress the csys labels
compressPhysLabelscompress the physical labels
compressGroupLabelscompress the group labels
unsafe NXOpen.CAE.ImportSimulationBuilder NXOpen.CAE.SimPart.CreateImportSimBuilder ( )
inline

Creates ImportSimulationBuilder.

This imports selected entities of different type from the source sim into the current (target) sim.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
The ImportSimulationBuilder object
unsafe void NXOpen.CAE.SimPart.FinalizeCreation ( NXOpen.CAE.CaePart  femPart,
string[]  description 
)
inline

Finalizes the creation of the sim part file.

This method should be called immediately after creating the sim part file. This method should be called only once for each sim part file. The second call to the method will raise an error.

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
femPartthe fem part file NXOpen.CAE.FemPart
descriptiondescription
unsafe void NXOpen.CAE.SimPart.FinalizeCreation ( NXOpen.CAE.CaePart  femPart,
int  femLayerOpt,
string[]  description 
)
inline

Finalizes the creation of the sim part file.

This method should be called immediately after creating the sim part file. This method should be called only once for each sim part file. The second call to the method will raise an error.

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
femPartthe fem part file NXOpen.CAE.FemPart
femLayerOptlayer option. -1 = USE_ORIGINAL, 0 = USE_WORK
descriptiondescription
unsafe NXOpen.CAE.SimPart.ImportErrorCodes NXOpen.CAE.SimPart.ImportSim ( string  fileName,
string  prependString,
NXOpen.CAE.SimPart.ImportOptions  selOptions,
NXOpen.CAE.FEModelOccurrence[]  selectedFemoccs 
)
inline

Imports all entities of selected type from the source sim into the current (target) sim.

The FeModelOccurrence of the target sim onto which the user needs to import needs to be passed in. The input will be an array of FeModelOccurrences, if user wants to import the same source sim onto multiple FeModelOccurrences of the target sim.

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
fileNamename of the source simulation file
prependStringstring to prepend imported simulation entity names, can be NULL or empty
selOptionsoptions indicating the types of entities to be imported
selectedFemoccsArray of FeModelOccurrences to import onto NXOpen.CAE.FEModelOccurrence
Returns
list of generated error codes during import
unsafe void NXOpen.CAE.SimPart.RelabelByOffsets ( int  csysOffset,
int  physOffset,
int  groupOffset 
)
inline

Relabels the csys, physical, and group labels by the specified offset value

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
csysOffsetcsys offset
physOffsetphysical offset
groupOffsetgroup offset

Property Documentation

unsafe NXOpen.CAE.CaePart NXOpen.CAE.SimPart.FemPart
get

Returns the fem part associated with the sim part

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.SimSimulation NXOpen.CAE.SimPart.Simulation
get

Returns the NXOpen.CAE.SimSimulation object

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.